<template>
  <div class="filters_container">
    <div>
      <label for="select_gender">
        <select name="gender" id="gender" @change="genderSelected">
          <option value="male">Male</option>
          <option value="female">Female</option>
          <option value selected>Gender</option>
        </select>
      </label>
      <label for="select_nationality">
        <select name="nat" id="nat" @change="nationalitySelected">
          <option value selected>Nationality</option>
          <option v-for="(nat, index) in nationalities" :key="index" :value="nat">{{nat}}</option>
        </select>
      </label>
      <label for="select_age">
        <select name="age" id="age" @change="ageSelected">
          <option value selected>Age</option>
          <option v-for="(age, index) in ages" :key="index" :value="age">{{age}}</option>
        </select>
      </label>
    </div>
  </div>
</template>

<script>
export default {
  name: "AppFilters",
  data() {
    return {
      nationalities: [],
      ages: []
    };
  },
  components: {},
  methods: {
    getNationalities() {
      const users = localStorage.getItem("allUsers");
      const usersParsed = JSON.parse(users);
      usersParsed.map(item => this.nationalities.push(item.nat));
    },
    getAges() {
      const users = localStorage.getItem("allUsers");
      const usersParsed = JSON.parse(users);
      usersParsed.map(item => {
          this.ages.push(item.dob.age)
      });
      
    },
    genderSelected(e) {
      const trigger = e.currentTarget.value;
      this.$emit("gender-selected", trigger);
    },
    ageSelected(e) {
      const trigger = e.currentTarget.value;
      this.$emit("age-selected", trigger);
    },
    nationalitySelected(e) {
      const trigger = e.currentTarget.value;
      this.$emit("nationality-selected", trigger);
    }
  },
  mounted() {
    this.getNationalities();
    this.getAges();
  }
};
</script>

<style scoped>
.filters_container {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100px;
  background-color: teal;
  display: flex;
  justify-content: center;
  padding-top: 20px;
  font-size: 22px;
}
label {
  margin: 40px 20px;
}
h3 {
  margin: 10px 10px 0px 0px;
}
select {
  border: solid 1px #2c3e50;
  padding: 10px;
  box-shadow: 0 4px 2px -1px #2c3e50;
}
@media all and (max-width: 768px) {
  .filters_container {
    font-size: 16px;
  }
  h3 {
    display: none;
  }
}
</style>
